#
# spec file for package less (Version 358)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         less
Copyright:    GPL or Less License
Group:        Applications/Text
Obsoletes:    jless
Provides:     normal-less jless
Requires:     file
Autoreqprov:  on
Version:      358
Release:      159
Source:       %{name}-%{version}.tar.bz2
Source1:      %{name}-SuSE.tar.bz2
Source2:      README.SuSE
# Japanese patch
# URL: http://www.io.com/~kazushi/less/
# http://www.io.com/~kazushi/less/less-358-iso254.patch.bz2
Patch0:       less-358-iso254.patch.bz2
Patch1:       less-358+iso247-bugs.dif
Patch2:       %{name}-%{version}.dif
Patch3:	      lfs.diff
Patch4:       utf8.diff
Patch5:       init_def_codesets.diff
Patch6:       arabic.diff
Patch7:       less-SuSE.patch
URL:	      http://home.flash.net/~marknu/less/
BuildRoot:    %{_tmppath}/%{name}-root
Summary:      less - opposite of more

%description
Less is a pager program similar to more (1), but allows backward
as well as forward movement within a file. Also, less does not
have to read the entire input file before starting. It is also
possible to start an editor at any time from this program.

Authors:
--------
    Mark Nudelman <markn@3do.com>

SuSE series: a

%prep
%setup -a 1
%patch0 -p1 -b .iso
%patch1 -p1 -b .iso-bugs
%patch2
%patch3 -p1
%patch4 -p1
%patch5 -p1 -b .codesets
%patch6 -p1 -b .arabic
%patch7 -p0
%{suse_update_config}

%build
%define prefix   /usr
%define sysconfdir /etc
aclocal
autoconf
CFLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64" \
CXXFLAGS="$RPM_OPT_FLAGS  -D_FILE_OFFSET_BITS=64" \
./configure --mandir=%{_mandir} \
                --prefix=%{prefix} \
                --infodir=%{_infodir} \
                --sysconfdir=%{sysconfdir}
make
install -m644 %{S:2} .

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT/ install
cp -a SuSE/* $RPM_BUILD_ROOT
$RPM_BUILD_ROOT/usr/bin/lesskey -o $RPM_BUILD_ROOT/etc/lesskey.bin $RPM_BUILD_ROOT/etc/lesskey
chmod a+x $RPM_BUILD_ROOT/usr/bin/less{open,close}.sh
chmod 644 LICENSE COPYING NEWS

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc LICENSE COPYING NEWS README.SuSE
%doc /usr/share/man/*/*
%config /etc/*
/usr/bin/*

%changelog -n less
* Mon Nov 05 2001 - mfabian@suse.de
- add init_def_codesets.diff (fixes the problem that less
  outputs ESC-A to set 'G1' to 'Right-hand Part of Latin
  Alphabet No.1 ISO 8859/1, ECMA-94'. This works only with
  xterm but fails with konsole, rxvt ...)
  Thanks to Michael Schroeder <mls@suse.de>
- add arabic.diff to fix typo in possible values of JLESSPLANESET
  (alabic -> arabic).
- remove %%attr(644, -, -) in front of %%doc, this gives
  wrong permissions to the directory /usr/share/doc/packages/less
  use 'chmod 644 LICENSE COPYING NEWS' instead.
* Fri Sep 21 2001 - vinil@suse.cz
- README.SuSE about LESS_ADVANCED_PREPROCESSOR added
* Tue Sep 11 2001 - mfabian@suse.de
- include Japanese patch
- rewrote utf8.diff. Together with the Japanese patch it almost
  works now. German, Italian and Spanish man pages display fine
  in an UTF-8 xterm. Czech is still broken, but that seems to
  be the fault of groff rather than less.
- add less-SuSE.patch to display Japanese roff files correctly
* Wed Sep 05 2001 - vinil@suse.cz
- .zip handled by "unzip -v" (#10211)
* Tue Aug 28 2001 - vinil@suse.cz
- LESS_ADVANCED_PREPROCESSOR used for handling more than compressed
  files (#9287)
* Tue Aug 14 2001 - vinil@suse.cz
- typo fixed (#9730)
* Tue Jul 17 2001 - vinil@suse.cz
- can handle symlinks              \
- can handle x and pm man pages    -- bug #9393
* Mon May 14 2001 - vinil@suse.cz
- utf8.diff added: less can handle bold and underlined utf-8 chars
  (needed especially for man)
* Sat May 05 2001 - schwab@suse.de
- lessopen.sh: Create tempfiles securely; add quotes as necessary; make
  sure we don't match the file type against the file name; don't leave
  temporary files around.
* Fri May 04 2001 - schwab@suse.de
- lessopen.sh: echo nothing if we have no alternate file (#7679).
* Fri May 04 2001 - schwab@suse.de
- lessopen.sh: Use the first stage contents if the second stage has
  nothing special.  Tighten the patterns that recognize compressed
  data.  Just echo the original file name if the file is not readable.
* Tue May 01 2001 - schwab@suse.de
- lessclose.sh: Only remove file if different from original file.
* Mon Apr 30 2001 - schwab@suse.de
- lessopen.sh: Use original file name if no conversions were done (#7421).
* Fri Apr 27 2001 - vinil@suse.cz
- lessing non-existing files now produce error message [bug #7320]
* Thu Apr 19 2001 - mfabian@suse.de
- removed "LESSCHARSET=latin1" from /etc/lesskey
  If LESSCHARSET is not set, latin1 is the default, unless
  "UTF-8" is found in LC_ALL, LC_CTYPE or LANG, the the default
  is utf-8. So setting "LESSCHARSET=latin1" is useless in
  case of a iso-8859-x locale and bad in case of a UTF-8 locale.
  If LESSCHARSET is set in /etc/lesskey, one cannot even override
  it by setting the environment variable anymore.
* Fri Mar 16 2001 - vinil@suse.cz
- less piping completely rewritten (using 'file', now)
  (bug #6256 fixed)
* Wed Jan 10 2001 - smid@suse.cz
- lesspipe.sh fixed
* Tue Jan 09 2001 - smid@suse.cz
- lesspipe.sh fixed [#5003]
* Wed Dec 13 2000 - mfabian@suse.de
- added "Provides: normal-less". This enables the japanized
  jless to use "Provides: less" and "Conflicts: normal-less".
  (Suggestion by bjacke@suse.de)
* Mon Dec 11 2000 - smid@suse.cz
- added conflict with jless
* Fri Dec 01 2000 - aj@suse.de
- Compile with LFS support, fix CFLAGS/CXXFLAGS.
* Tue Nov 21 2000 - werner@suse.de
- Remove swapping of kp-separator/kp-decimal because it's
  done in xkbd map for german keyboards
* Tue Nov 21 2000 - werner@suse.de
- Add some newer xterm escape sequences (oldFunctionsKeys)
* Tue Sep 26 2000 - ro@suse.de
- make lesspipe executable again
* Mon Sep 25 2000 - smid@suse.cz
- upgrade to 358
* Mon May 22 2000 - smid@suse.cz
- upgrade to 354
- Copyright field fix
- documentation added
* Thu Apr 13 2000 - smid@suse.cz
- buildroot added
- upgrade to 3.46
* Thu Feb 10 2000 - kukuk@suse.de
- Fill out Copyright and Group field
* Mon Jan 24 2000 - kukuk@suse.de
- Move /usr/man -> /usr/share/man
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Jun 18 1999 - ro@suse.de
- update to less-340 using jurix-dif
- added [rs]pm to lesspipe-switch
- added werners lesskey
* Thu Sep 04 1997 - bs@suse.de
- added *.as to lesspipe.sh
* Wed May 28 1997 - werner@suse.de
- added new etc/lesskey and etc/lesskey.bin
* Sat Apr 26 1997 - florian@suse.de
- update to new version 332
* Sun Apr 13 1997 - florian@suse.de
- update to new version 330
* Thu Jan 02 1997 - bs@suse.de
  added new etc/lesskey*
* Thu Jan 02 1997 - bs@suse.de
  lesskey from aaa_base inserted.
* Thu Jan 02 1997 - florian@suse.de
- Neue Version 321.
- Bug mit falschen Aufruf von free() behoben.
- In /etc/profile wird global fuer alle Benutzer eine 'lesskey'-Datei
  eingetragen. Braucht also nicht mehr im Home-Verzeichnis aller Benutzer
  erstellt werden.
